[
	{"object":"hideWordBtn", "settings":{"columnAlias":"word"}, "actions":{"click":"onToggleVisibility"}},
	{"object":"hideDefinitionBtn", "settings":{"columnAlias":"definition"}, "actions":{"click":"onToggleVisibility"}},
	{"object":"hideExampleBtn", "settings":{"columnAlias":"example"}, "actions":{"click":"onToggleVisibility"}},
	{"object":"increaseFontBtn", "actions":{"click":"changeFontSize"}},
	{"object":"decreaseFontBtn", "actions":{"click":"changeFontSize"}},
	{"object":"increaseLineHeightBtn", "settings":{"step":1}, "actions":{"click":"changeLineHeight"}},
	{"object":"decreaseLineHeightBtn", "settings":{"step":-1}, "actions":{"click":"changeLineHeight"}},
	{"object":"listTxt", "settings":{"visible":false,"embedFonts":true,"styleSheet":{"getObject":"_style"}},"actions":{"link":"clickListTxt"}},
	{"object":"listViewBtn", "settings":{"isToggle":true}, "actions":{"click":"onToggleView"}},
	{"object":"tableViewBtn", "settings":{"isToggle":true}, "actions":{"click":"onToggleView"}},
	{"object":"tableViewBtn", "settings":{"selected":true}},
	

	{
		"settings":{
			"style":{
				"body":{"color":"#000000","leading":5,"marginLeft":10,"marginRight":10,"fontSize":24,"fontFamily":"Trebuchet MS"},
				".idx":{"color":"#007B45","fontSize":20,"fontWeight":"bold"},
				".audio":{"color":"#666666","fontSize":26,"fontFamily":"Webdings"},
				".audioActive":{"color":"#999999","fontSize":26,"fontFamily":"Webdings"},
				".word":{"fontWeight":"bold"},
				".partOfSpeach":{"color":"#666666","fontWeight":"bold"},
				".example":{"color":"#007B45"},
				".others":{"color":"#666666","fontWeight":"bold"},
				".unit":{"fontSize":24,"color":"#007B45","fontWeight":"bold"}
			}
		}
	},
	
	{
		"object":"lettersComboBox",
		"func":"init",
		"settings":{
			"items":[
				{"label":"A-Z","data":"*"},{"label":"A"},{"label":"B"},{"label":"C"},{"label":"D"},{"label":"E"},{"label":"F"},{"label":"G"},{"label":"H"},{"label":"I"},{"label":"J"},{"label":"K"},{"label":"L"},{"label":"M"},{"label":"N"},{"label":"O"},{"label":"P"},{"label":"Q"},{"label":"R"},{"label":"S"},{"label":"T"},{"label":"U"},{"label":"V"},{"label":"W"},{"label":"X"},{"label":"Y"},{"label":"Z"}
			],
			"tfObj":{"font":"Ubuntu Condensed","size":20,"bold":true},
			"onSelect":{"getObject":"onSelectLetter"},
			"selectedIndex":0
		}
	},
	{
		"object":"unitsComboBox",
		"func":"init",
		"settings":{
			"items":[
				{"label":"All Units","data":"*"},
				{"label":"Unit 1","data":"DEMO"},
				{"label":"Unit 2","data":"DEMO"},
				{"label":"Lang. Extra 1","data":"DEMO"},
				{"label":"Unit 3"},
				{"label":"Unit 4","data":"DEMO"},
				{"label":"Lang. Extra 2","data":"DEMO"},
				{"label":"Unit 5","data":"DEMO"},
				{"label":"Unit 6","data":"DEMO"},
				{"label":"Lang. Extra 3","data":"DEMO"},
				{"label":"Unit 7","data":"DEMO"},
				{"label":"Unit 8","data":"DEMO"},
				{"label":"Lang. Extra 4","data":"DEMO"},
				{"label":"Unit 9","data":"DEMO"},
				{"label":"Unit 10","data":"DEMO"},
				{"label":"Lang. Extra 5","data":"DEMO"},
				{"label":"Unit 11","data":"DEMO"},
				{"label":"Unit 12","data":"DEMO"},
				{"label":"Lang. Extra 6","data":"DEMO"}
			],
			"tfObj":{"font":"Ubuntu Condensed","size":20,"bold":true},
			"onSelect":{"getObject":"onSelectUnit"},
			"selectedIndex":0
		}
	},
	{
		"settings":{
			"dgColumns":[
				{
					"dataField":"audio",
					"cellRenderer":{"getClassByAlias":"AudioCellRenderer"},
					"headerText":"Audio",
					"width":60,
					"sortable":false
				},{
					"dataField":"word",
					"headerText":"Word",
					"width":150,
					"minWidth":60,
					"sortable":true,
					"sortCompareFunction":{"getObject":"sortByWord"}
				},{
					"dataField":"partOfSpeach",
					"headerText":"Part of speech",
					"width":130,
					"minWidth":50,
					"sortable":true
				},{
					"dataField":"definition",
					"headerText":"Definition",
					"width":350,
					"minWidth":150,
					"sortable":true
				},{
					"dataField":"example",
					"headerText":"Example",
					"width":350,
					"minWidth":150,
					"sortable":true
				},{
					"dataField":"unit",
					"headerText":"Unit",
					"width":200,
					"minWidth":50,
					"sortOptions":"NUMERIC",
					"sortable":true,
					"sortCompareFunction":{"getObject":"sortByUnit"}
				}
			]		
		}
	},
	{
		"settings":{
			"dictionaries":[
				{"alias":"Unit 1","path":"assets/common/dictionary/unit 1.json"},
				{"alias":"Unit 2","path":"assets/common/dictionary/unit 2.json"},
				{"alias":"Language Extra 1","path":"assets/common/dictionary/Language Extra 1.json"},
				{"alias":"Unit 3","path":"assets/common/dictionary/unit 3.json"},
				{"alias":"Unit 4","path":"assets/common/dictionary/unit 4.json"},
				{"alias":"Language Extra 2","path":"assets/common/dictionary/Language Extra 2.json"},
				{"alias":"Unit 5","path":"assets/common/dictionary/unit 5.json"},
				{"alias":"Unit 6","path":"assets/common/dictionary/unit 6.json"},
				{"alias":"Language Extra 3","path":"assets/common/dictionary/Language Extra 3.json"},
				{"alias":"Unit 7","path":"assets/common/dictionary/unit 7.json"},
				{"alias":"Unit 8","path":"assets/common/dictionary/unit 8.json"},
				{"alias":"Language Extra 4","path":"assets/common/dictionary/Language Extra 4.json"},
				{"alias":"Unit 9","path":"assets/common/dictionary/unit 9.json"},
				{"alias":"Unit 10","path":"assets/common/dictionary/unit 10.json"},
				{"alias":"Language Extra 5","path":"assets/common/dictionary/Language Extra 5.json"},
				{"alias":"Unit 11","path":"assets/common/dictionary/unit 11.json"},
				{"alias":"Unit 12","path":"assets/common/dictionary/unit 12.json"},
				{"alias":"Language Extra 6","path":"assets/common/dictionary/Language Extra 6.json"}
			]
		}
	}	
]
